# SignificantlyDifferent in maplibre::util - Rust
API documentation for the Rust `SignificantlyDifferent` trait in crate `maplibre`.
Keywords: rust, rustlang, rust-lang, SignificantlyDifferent

# Trait maplibre::util::SignificantlyDifferent

source · [−]

    pub trait SignificantlyDifferent<Rhs: ?Sized = Self> {
        type Epsilon;
        fn ne(&self, other: &Rhs, epsilon: Self::Epsilon) -> bool;
    }

## Associated Types

source

#### type Epsilon

## Required methods

source

#### fn ne(&self, other: &Rhs, epsilon: Self::Epsilon) -> bool

This method tests for `self` and `other` values to be significantly different

## Implementors

source

### impl SignificantlyDifferent<Zoom> for Zoom

#### type Epsilon = f64

source

### impl SignificantlyDifferent<Camera> for Camera

#### type Epsilon = f64